		.text
		.align  2
		.globl  _start

_start:
        addi x2, x0, 5
        sw x2, 8(x0)
        nop
        
		addi x1, x0, 7
        lw x3, 8(x0)
        and x1, x3, x1
        nop
        nop
loop:
		jal x0, loop
		nop
		nop
		nop

		.end _start
		.size _start, .-_start
